import React, { useState, useEffect, useRef } from 'react';
import { FormRender, FormDesigner } from '../../src/index';
import { schemaValues } from './data';
import { Button, Tabs } from 'antd';

window.globalConfig = {
  "env": "daily",
  "runtimeEnv": "EDIT",
  "baseURI": "http://127.0.0.1:8080",
  "Industry": "",
  "apptype": "net",
  "bannerLogo": "assets/images/logo/单独图案-白色.svg",
  "alarmWays": "MQTT",
  "client": "city",
  "expiration": 43200000,
  "hideMap": true,
  "hideMapClients": [],
  "homepage": "product/manage/PipeMonitor/HomePressMonitor/MonitorsiteInPlan|minScaleTimes=1",
  "loginTemplate": "Dark.html",
  "logo": "assets/images/logo/单独图案-蓝绿色.svg",
  "mapVersion": "4.9",
  "mapsettings": {
    "type": "2d",
    "viewingMode": "global",
    "proxyUrl": "",
    "environment": {
      "starsEnabled": true
    },
    "constraints": {
      "rotationEnabled": false,
      "tilt": {
        "max": 179.5
      },
      "collision": {
        "enabled": false
      }
    },
    "viewpoint": {
      "camera": {
        "position": {
          "x": 0,
          "y": 0,
          "z": 0,
          "spatialReference": {
            "wkid": 4526
          }
        },
        "heading": 0,
        "tilt": 0,
        "fov": 55
      },
      "targetGeometry": {
        "xmin": 0,
        "ymin": 0,
        "xmax": 0,
        "ymax": 0,
        "spatialReference": {
          "wkid": 4526
        }
      }
    },
    "basemaps": [
      {
        "id": "高德地形",
        "title": "高德地形",
        "thumbnailUrl": "assets/images/thumbnail_2.jpg",
        "baseLayers": [
          {
            "title": "高德地形",
            "icon": "",
            "layerType": "amap-v",
            "url": "",
            "opacity": 1,
            "visible": false,
            "useProxy": false,
            "proxyUrl": "",
            "style": "",
            "extent": "",
            "baseLayer": "",
            "resolution": "",
            "origin": "",
            "tileMatrix": "",
            "levelStart": "",
            "levelEnd": "",
            "levelEndEnlarge": false
          }
        ]
      }
    ],
    "layers": [
      {
        "id": "",
        "title": "",
        "icon": "",
        "layerType": "dynamic",
        "url": "",
        "opacity": 1,
        "showLegend": true,
        "visible": true,
        "useProxy": true,
        "proxyUrl": "",
        "extent": "12039650.700158298,3375037.534445584,12952804.095391028,3946485.439424026",
        "baseLayer": "",
        "resolution": "",
        "origin": "",
        "tileMatrix": "",
        "wmtsUrl": "",
        "schemename": "ceshi",
        "roles": "",
        "areaName": "湖北省",
        "boundColor": "#86c8f8",
        "backgroundColor": "#000000",
        "boundWidth": "10px",
        "backgroundOpacity": "0.6",
        "basemaps": [
          {
            "id": "高德地形",
            "title": "高德地形",
            "thumbnailUrl": "assets/images/thumbnail_2.jpg",
            "baseLayers": [
              {
                "title": "高德地形",
                "icon": "",
                "layerType": "amap-v",
                "url": "",
                "opacity": 1,
                "visible": false,
                "useProxy": false,
                "proxyUrl": "",
                "style": "",
                "extent": "",
                "baseLayer": "",
                "resolution": "",
                "origin": "",
                "tileMatrix": "",
                "levelStart": "",
                "levelEnd": "",
                "levelEndEnlarge": false
              }
            ]
          }
        ],
        "levelStart": ""
      }
    ],
    "areasettings": {
      "boundColor": "#86c8f8",
      "boundWidth": "10px",
      "backgroundColor": "#000000",
      "backgroundOpacity": "0.6",
      "areaName": "湖北省",
      "name": "",
      "extent": "12039650.700158298,3375037.534445584,12952804.095391028,3946485.439424026",
      "rings": ""
    }
  },
  "mapConfig3d": {
    "baseMap": [],
    "data": [],
    "schema": [],
    "web": [],
    "widgets": []
  },
  "mdi": "SDI",
  "menu": "banner-left",
  "mode": "single",
  "pagesize": 20,
  "project": "product/config.js",
  "products": [
    {
      "ID": 1,
      "PackageName": "civ_monitor",
      "ProductName": "监控产品",
      "Description": "设备监控管理产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": ""
    },
    {
      "ID": 2,
      "PackageName": "civ_iot",
      "ProductName": "物联平台",
      "Description": "物联网平台BS版本产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": ""
    },
    {
      "ID": 3,
      "PackageName": "civweb4",
      "ProductName": "GCK Web4",
      "Description": "Backbone版本的GCK产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": ""
    },
    {
      "ID": 4,
      "PackageName": "civ_water",
      "ProductName": "供水平台2.0",
      "Description": "Web5版本的GCK2.0平台",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": ""
    },
    {
      "ID": 5,
      "PackageName": "report",
      "ProductName": "可视化报表平台",
      "Description": "报表可视化产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": ""
    }
  ],
  "qrcode": "",
  "shortcutIcon": "assets/images/icon/熊猫新1.png",
  "style": "platform",
  "subtitle": "",
  "theme": "lightblue.css",
  "title": "监控产品测试环境",
  "uiwidgets": [
    {
      "label": "缩放",
      "url": "mapgis/widgets/Zoom",
      "bottom": "333",
      "right": "15",
      "config": ""
    },
    {
      "label": "图层控制",
      "url": "product/webgis/LayerControler/LayerControler",
      "bottom": "295",
      "right": "15",
      "config": ""
    },
    {
      "label": "复位",
      "url": "mapgis/widgets/Home",
      "bottom": "257",
      "right": "15",
      "config": ""
    },
    {
      "label": "全屏",
      "url": "product/webgis/FullScreen/FullScreen",
      "bottom": "219",
      "right": "15",
      "config": ""
    },
    {
      "label": "百度全景",
      "url": "product/webgis/Panorama/Panorama",
      "bottom": "181",
      "right": "15",
      "config": ""
    },
    {
      "label": "条件查询",
      "url": "product/webgis/ConditionQuery/QueryButton",
      "bottom": "143",
      "right": "15",
      "config": ""
    },
    {
      "label": "点击查询",
      "url": "product/webgis/Identify/Identify",
      "bottom": "105",
      "right": "15",
      "config": ""
    },
    {
      "label": "底图切换",
      "url": "product/webgis/BasemapGallery/BasemapGallery",
      "bottom": "25",
      "right": "7",
      "config": ""
    },
    {
      "label": "比例尺",
      "url": "mapgis/widgets/ScaleBar",
      "left": "15",
      "bottom": "30",
      "config": ""
    },
    {
      "label": "坐标",
      "url": "product/webgis/Coordinates/Coordinates",
      "left": "15",
      "bottom": "10",
      "config": ""
    },
    {
      "label": "鹰眼",
      "url": "product/webgis/Overview/Overview",
      "bottom": "0",
      "right": "0",
      "config": ""
    }
  ],
  "useCoverMap": "true",
  "waterMark": true,
  "widgets": [
    {
      "widgets": [
        {
          "label": "原水总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/原水总览.svg",
          "url": "productex/water/IOTRawWater/RawWaterOverview/RawWaterOverview|device=水源井&targetName=出水累计流量,累计电量&zoom=15&workName=是否在线&widget=1",
          "config": "",
          "product": "civweb4"
        },
        {
          "label": "取水监控",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
          "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水源井&sortFields=设备名称&direction=desc&pagesize=20&widget=2",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质分布",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质管理.svg",
              "url": "project/water/luanzhou/WaterQualitySampling/WaterQualitySampling|showType=水源井&defaultOption=pH&widget=4",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "采样记录",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质化验台账&widget=5",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "化验报告",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质报告&widget=6",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水质管理",
          "shortName": "",
          "icon": "assets/Images/menuNew/03三级图标/水质管理.svg",
          "product": "civweb4"
        },
        {
          "label": "原水巡检",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=水源井巡视&widget=7",
          "config": "",
          "product": "civ_water"
        },
        {
          "widgets": [
            {
              "label": "取水报表",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
              "url": "productex/water/IOTRawWater/WaterIntakeAnalysis/WaterAnalysis|device=水源井&targetName=出水累计流量:Sub,累计电量:Sub&widget=9",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "能耗报表",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/用电统计.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=水源井&targetName=累计电量_用电量:Sub&widget=10",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "吨水电耗",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/吨水电耗.svg",
              "url": "productex/water/IOTMonitor/EnergyAnalysis/EnergyAnalysis|device=水源井&widget=11",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "统计报表",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/能耗分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "比泵分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/比泵分析.svg",
              "url": "productex/water/IOTRawWater/WaterWellOperationEvaluat/WaterWellOperationEvaluat|device=水源井&accountName=水源井&targetName=出水累计流量,累计电量&widget=13",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行统计",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行状态.svg",
              "url": "productex/water/IOTMonitor/RunStatus/RunStatus|device=水源井&targetName=出水累计流量,累计电量&widget=14",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行评价",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行评价.svg",
              "url": "productex/water/IOTMonitor/OperationAnalysis/OperationAnalysis|device=水源井&targetName=出水累计流量,累计电量&widget=15",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运行分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=水源井&widget=17",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=原水:水源井&widget=18",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=原水:水源井&widget=19",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|device=原水:水源井&widget=20",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "取水点台账",
              "shortName": "",
              "icon": "assets/Images/menuNew/排水/排水系统图标/设施台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=取水点&widget=22",
              "config": "",
              "product": "civ_water"
            },
            {
              "label": "设备台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "productex/water/IOTMonitor/DeviceManage/DeviceManage|device=水源井&state=add&tabs=设备信息&widget=23",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备台账",
          "shortName": "",
          "icon": "assets/Images/menuNew/排水/一级/台账中心.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=水源井&widget=25",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=26",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=27",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "控制权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
              "url": "product/pumpManageV3/MemberTaskStatistic/AuthorityConfig/AuthorityConfig|widget=29",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备控制",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水库总览",
              "shortName": "",
              "icon": "assets/Images/menuNew/03三级图标/原水总览.svg",
              "url": "project/water/nanao/ReservoirOverview/ReservoirOverview|device=水库&amp;jump=true&amp;zoom=15&widget=31",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水库监控",
              "shortName": "",
              "icon": "assets/Images/menuNew/03三级图标/设备监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水库&widget=32",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水库台账",
              "shortName": "",
              "icon": "assets/Images/menuNew/DMA图标/01一级菜单/9-台账管理.svg",
              "url": "productex/water/IOTMonitor/DeviceManage/DeviceManage|device=水库&state=add&tabs=设备信息&widget=33",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水库监控",
          "shortName": "",
          "icon": "assets/Images/menuNew/02二级图标/水厂监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "视频监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/视频监控.svg",
              "url": "product/oms/VideoListAll/VideoListAll|device=水源井&project=panda_egbf&control=true&widget=35",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "视频配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/视频配置.svg",
              "url": "product/oms/VideoConfig/VideoConfig|widget=36",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        }
      ],
      "label": "原水监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/原水监控.svg"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "调度总览",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度总览.svg",
              "url": "productex/water/IOTMonitor/SchedulingOverview/SchedulingOverview|device=压力表:进水压力,流量计:瞬时流量&ztName=调度总览&deviceCode=SC00000004,SYJ00000014&sensorName=是否运行&widget=38",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "调度监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度监控.svg",
              "url": "productex/water/IOTRawWater/DispatchMonitor/DispatchMonitor|device=水厂-送水泵-送水泵&liquidLevel=6&BIZoom=10&setFlow=0.2&showDevice=水厂&device3Target=泵1%23流量,泵1%23压力&widget=39",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "生产调度",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/排水一级图标/厂站网调度.svg",
          "product": "civweb4"
        },
        {
          "label": "工艺监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/工艺监控.svg",
          "url": "configuration/ConfigurationsInterface/ConfigurationsInterfaceView|title= 水厂自来水工艺监控&name=调度总览&devices=SC00000004,SYJ00000014&widget=40",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质管理",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质管理.svg",
              "url": "project/water/luanzhou/WaterQualitySampling/WaterQualitySampling|showType=水厂&widget=42",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "视频监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/视频监控.svg",
              "url": "product/oms/VideoListAll/VideoListAll|device=水厂&project=panda_egbf&control=true&widget=43",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "供水分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/供水分析.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=送水泵&targetName=累计流量:Sub&widget=45",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "用电分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/分析.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=送水泵&targetName=有功电能:Sub&widget=46",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "吨水电耗",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/吨水电耗.svg",
              "url": "productex/water/IOTMonitor/EnergyAnalysis/EnergyAnalysis|device=送水泵&targetName=累计流量,有功电能&widget=47",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "比泵分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/比泵分析.svg",
              "url": "productex/water/IOTRawWater/PumpEconomicAnalysis/PumpEconomicAnalysis|device=送水泵&targetName=累计流量,有功电能&price=0.7&water=200&widget=48",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "能耗分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/能耗分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "调度分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/调度管理.svg",
              "url": "productex/water/IOTRawWater/DispatchPlan/DispatchPlan|device=水源井&triggerName=是否运行&field1Name=累计电量&field2Name=出水累计流量&widget=50",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "调度日志",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度日志.svg",
              "url": "productex/water/IOTRawWater/DispatchLog/DispatchLog|device=水源井&triggerName=是否运行&field1Name=累计电量&field2Name=出水累计流量&field3Name=累计电量&field4Name=出水累计流量&widget=51",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "调度方案",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/调度方案.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "运行概况",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行概况.svg",
              "url": "productex/water/IOTMonitor/RunStatus/RunStatus|device=送水泵&targetName=累计流量,有功电能&sortFields=设备名称&direction=asc&widget=53",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行状态",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行状态.svg",
              "url": "productex/water/IOTRawWater/pumpOperation/pumpOperation|device=水源井&triggerName=是否运行&widget=54",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行日志",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行日志.svg",
              "url": "productex/water/IOTMonitor/RunLogHistory/RunLogHistory|device=送水泵&sortFields=设备名称&direction=desc&widget=55",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运行分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=水厂:水厂,送水泵:送水泵&widget=57",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=原水:水源井,水厂:水厂,送水泵:送水泵&dataDictionary=报警监控筛选条件&widget=58",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=水厂,送水泵&widget=59",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|widget=60",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水厂台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水厂&widget=62",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "出厂水压台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=出厂水压&widget=63",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水质化验台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质报告&widget=64",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "资产管理",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/资产管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=水厂&widget=66",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=67",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=68",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "控制权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
              "url": "product/pumpManageV3/MemberTaskStatistic/AuthorityConfig/AuthorityConfig|widget=70",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水厂控制",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
          "product": "civweb4"
        }
      ],
      "label": "水厂监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/水厂监控.svg"
    },
    {
      "widgets": [
        {
          "label": "地图监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/地图监控.svg",
          "url": "productex/water/IOTMonitor/MapMonitor/MapMonitor|scales=11,15,8&device=压力表&isReset=false&widget=71",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力监控",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/8-1压力监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=压力表&pageSize=70&targetName=进水压力,设备电压&widget=73",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "流量监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/流量监测.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=流量计&widget=74",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备监控",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/设备监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质监测.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水质检测仪&widget=76",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "管网采样",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/管网监控.svg",
              "url": "product/rawWaterAndFactory/DataAnalysis/WaterQualitySampling/WaterQualitySampling|showType=管网&widget=77",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "实时数据",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/实时数据.svg",
              "url": "productex/water/IOTMonitor/DataMonitor/DataMonitor|device=压力表&isKeepSame=true&widget=79",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "历史数据",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/历史数据.svg",
              "url": "productex/water/IOTMonitor/RunLogHistory/RunLogHistory|device=压力表&sortFields=设备名称&direction=desc&widget=80",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "数据监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/数据监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力总览",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力总览.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/PressureOverview/PressureOverview|deviceType=压力表&sensorName=进水压力&widget=82",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "压力分布",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力分布.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/EquiscalarLine/EquiscalarLine|deviceType=压力表&targetName=进水压力&gatherShow=关&station=压力表&Unit=m&widget=83",
              "config": "等水压线分布",
              "product": "civweb4"
            },
            {
              "label": "流量简报",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/流量简报.svg",
              "url": "productex/water/IOTMonitor/FlowBriefing/FlowBriefing|device=流量计&targetName=出水累计流量,瞬时流量&userAccess=false&sortFields=编码&direction=asc&widget=84",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "压力统计",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力统计.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/TableMonitor/TableMonitor|deviceType=压力表&sensorName=进水压力&widget=85",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "统计分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/统计分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=流量计&userAccess=false&widget=87",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=流量:流量计&widget=88",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|device=流量:流量计&widget=89",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=压力:压力表,流量:流量计&dataDictionary=报警监控筛选条件&zero=false&widget=90",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=二供泵房&widget=92",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=93",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=94",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        }
      ],
      "label": "管网监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/线索追踪.svg"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "运营总览",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运营总览.svg",
              "url": "productex/water/IOTDMA/DMAoverviewBI/DMAoverviewBI|widget=96",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "计量关系图",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/统计.svg",
              "url": "productex/water/IOTDMA/MeteringDelivery/MeteringDelivery|widget=97",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运营总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运营总览.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "分区规划",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/2-1分区规划.svg",
              "url": "productex/water/IOTDMA/DMAPartitionTools/DMAToolsView|device=流量计,水表&activeLevel=1,2&zoom=3&widget=99",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "设备挂接",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/2-3户表挂接.svg",
              "url": "productex/water/IOTDMA/UserHook/UserHook|widget=100",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "考核表抄表",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "productex/water/IOTDMA/MeterReadingEntry/MeterReadingEntry|widget=101",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "户表抄表",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "productex/water/IOTDMA/ReadingHousehold/ReadingHousehold|widget=102",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "免费注册水量",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/免费注册水量.svg",
              "url": "productex/water/IOTDMA/FreeEnrollWater/FreeEnrollWater|name=免费注册用户台账&widget=103",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "分区管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/2-分区管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "分区监控",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/01一级菜单/3-分区监控.svg",
              "url": "productex/water/IOTDMA/AreaMonitor/AreaMonitor|widget=105",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "分区详情",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/分区指标.svg",
              "url": "productex/water/IOTDMA/DMAMonitorDetail/DMAMonitorDetail|widget=106",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "小流量监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/夜间小流量分析.svg",
              "url": "productex/water/IOTDMA/SmallFlowMonitor/SmallFlowMonitor|widget=107",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "表计监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水表&showType=list&widget=108",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "分区监控",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/3-分区监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "漏损分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/漏损分析.svg",
              "url": "productex/water/IOTDMA/LeakageAnalysis/LeakageAnalysis|leakRate=20&showAnomaly=true&widget=110",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "小流量分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/夜间小流量分析.svg",
              "url": "productex/water/IOTDMA/NightLowFlow/NightLowFlow|widget=111",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "抄表分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/分析.svg",
              "url": "productex/water/IOTDMA/MeterReadingAnalysis/MeterReadingAnalysis|widget=112",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水量统计",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/统计.svg",
              "url": "productex/water/IOTDMA/DMASellingWaterNew/DMASellingWater|multiPeriod=true&type=供水量&method=年，月，自定义&widget=113",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运营分析",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/4-运营分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "用水分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/用量分析.svg",
              "url": "productex/water/IOTDMA/AnalysisOfWater/AnalysisOfWater|widget=115",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "表计管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/7-表计管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力管理",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/8-3压力管理.svg",
              "url": "productex/water/IOTDMA/PressureContour/PressureContour|widget=117",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "压力调控",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/8-压力管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "漏点总览",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-1漏点总览.svg",
              "url": "product/maintenance/EventManage/EventAllshow/EventAllshow|lev=1,2,3&choose=true,true,false&widget=119",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "事件总览",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/事件总览.svg",
              "url": "product/maintenance/EventManage/EventOverviewBox/EventOverviewListView|eventType=漏点处理事件,维修处理事件&widget=120",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "漏点上报",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-2漏点上报.svg",
              "url": "product/maintenance/EventManage/EventReport/MenuEventReportView|eventType=漏点处理事件&widget=121",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "维修上报",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-4维修记录.svg",
              "url": "product/maintenance/EventManage/EventReport/MenuEventReportView|eventType=维修处理事件&widget=122",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "事件待办",
              "shortName": "",
              "icon": "assets/images/menuNew/排水/二级/事件处理.svg",
              "url": "product/maintenance/EventManage/EventDispatchBox/EventDispatchBoxList|eventType=漏点处理事件,维修处理事件&widget=123",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "工单办理",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/工单办理.svg",
              "url": "product/maintenance/CaseManage/CaseDoingBox/StardCaseDoingBoxView|isDelay=1&flowName=漏点处理流程,维修处理流程&widget=124",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "上报历史",
              "shortName": "",
              "icon": "assets/images/menuNew/排水/三级/事件历史.svg",
              "url": "product/maintenance/EventManage/EventReportHistory/EventReportHistory|isMe=1&eventType=漏点处理事件,维修处理事件&widget=125",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "检漏管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/6-检漏管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=流量计&widget=127",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=流量:流量计&widget=128",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=压力:压力计,流量:流量计&dataDictionary=报警监控筛选条件&widget=129",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "户表台账",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-4户表台账.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=户表&widget=131",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "考核表台账",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=考核表&widget=132",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "台账管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/9-台账管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "探漏方案",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/5-1探漏方案.svg",
              "url": "productex/water/IOTWaterMeter/WaterMeterOverview/WaterMeterOverview|widget=134",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "探漏详情",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/探漏详情.svg",
              "url": "productex/water/IOTWaterMeter/WaterMeterDetail/WaterMeterDetail|widget=135",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "流动探漏",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/流动探漏.svg",
              "url": "productex/water/IOTDMA/LeakDetection/LeakDetection|widget=136",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "探漏管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/5-探漏管理.svg",
          "product": "civweb4"
        }
      ],
      "label": "DMA管控",
      "shortName": "",
      "icon": "assets/images/menuNew/02二级图标/DMA管理.svg"
    },
    {
      "widgets": [
        {
          "label": "设备接入",
          "shortName": "",
          "icon": "assets/Images/menuNew/01一级图标/新增设备-01.svg",
          "url": "productex/water/IOTConfSetting/DeviceAccess/DeviceAccess|widget=137",
          "config": "",
          "product": "civ_monitor"
        },
        {
          "label": "组态绘制",
          "shortName": "",
          "icon": "assets/Images/menuNew/01一级图标/物联组态.svg",
          "url": "configuration/ConfigurationsSageView/ConfigurationsSageView|widget=138",
          "config": "",
          "product": "civweb4"
        }
      ],
      "label": "系统设置",
      "shortName": "",
      "icon": "assets/Images/menuNew/01一级图标/系统设置.svg"
    }
  ],
  "shareWidget": {
    "label": "share",
    "url": null,
    "config": null
  },
  "initToken": null,
  "access_token": "",
  "ip": "127.0.0.1:8080",
  "ddCode": null,
  "search": null,
  "isCloud": false,
  "isShared": false,
  "isSingleLogin": null,
  "layout": null,
  "loginName": null,
  "loginParams": null,
  "maxTabCount": 10,
  "mqtt_IsSSL": false,
  "mqtt_iotIP": "",
  "mqtt_mess": {},
  "mqtt_path": "",
  "mqtt_site_code": "",
  "nginxStart": false,
  "prefix": "",
  "protocol": "http:",
  "sensorType": [
    {
      "id": 1,
      "name": "压力",
      "decimalPoint": 3,
      "unit": "MPa",
      "style": null,
      "format": null,
      "shortName": "压力",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 2,
      "name": "电压",
      "decimalPoint": 1,
      "unit": "V",
      "style": null,
      "format": null,
      "shortName": "电压",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 3,
      "name": "水量",
      "decimalPoint": 2,
      "unit": "m³",
      "style": null,
      "format": null,
      "shortName": "水量",
      "comment": "储水总量,可调峰水量,一天蓄水量,一天用水量",
      "dataKindID": null
    },
    {
      "id": 4,
      "name": "报警点",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "报警点",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 5,
      "name": "出水压力",
      "decimalPoint": 2,
      "unit": "MPa",
      "style": null,
      "format": null,
      "shortName": "出水压力",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 6,
      "name": "进水压力",
      "decimalPoint": 2,
      "unit": "MPa",
      "style": null,
      "format": null,
      "shortName": "进水压力",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 7,
      "name": "给定压力",
      "decimalPoint": 2,
      "unit": "MPa",
      "style": null,
      "format": null,
      "shortName": "给定压力",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 8,
      "name": "瞬时流量",
      "decimalPoint": 2,
      "unit": "m³/h",
      "style": null,
      "format": null,
      "shortName": "流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 9,
      "name": "进水累计流量",
      "decimalPoint": 0,
      "unit": "m³",
      "style": null,
      "format": "",
      "shortName": "进水累计流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 10,
      "name": "出水累计流量",
      "decimalPoint": 2,
      "unit": "m³",
      "style": null,
      "format": null,
      "shortName": "出水累流",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 11,
      "name": "进水瞬时流量",
      "decimalPoint": 2,
      "unit": "m³/h",
      "style": null,
      "format": null,
      "shortName": "进水瞬时流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 12,
      "name": "出水瞬时流量",
      "decimalPoint": 2,
      "unit": "m³/h",
      "style": null,
      "format": null,
      "shortName": "出水瞬时流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 13,
      "name": "累计流量",
      "decimalPoint": 0,
      "unit": "m³",
      "style": null,
      "format": "",
      "shortName": "累计流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 14,
      "name": "负累计流量",
      "decimalPoint": 2,
      "unit": "m³",
      "style": null,
      "format": null,
      "shortName": "负累计流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 15,
      "name": "pH",
      "decimalPoint": 2,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "PH",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 16,
      "name": "余氯",
      "decimalPoint": 2,
      "unit": "mg/L",
      "style": null,
      "format": null,
      "shortName": "余氯",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 17,
      "name": "浊度",
      "decimalPoint": 2,
      "unit": "NTU",
      "style": null,
      "format": null,
      "shortName": "浊度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 18,
      "name": "液位",
      "decimalPoint": 3,
      "unit": "m",
      "style": null,
      "format": null,
      "shortName": "液位",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 19,
      "name": "累计电量",
      "decimalPoint": 3,
      "unit": "kWh",
      "style": null,
      "format": null,
      "shortName": "累计电量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 20,
      "name": "电流",
      "decimalPoint": 2,
      "unit": "A",
      "style": null,
      "format": null,
      "shortName": "电流",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 21,
      "name": "湿度",
      "decimalPoint": 1,
      "unit": "%",
      "style": null,
      "format": null,
      "shortName": "湿度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 22,
      "name": "开度",
      "decimalPoint": 1,
      "unit": "%",
      "style": null,
      "format": null,
      "shortName": "阀开度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 23,
      "name": "温度",
      "decimalPoint": 1,
      "unit": "°C",
      "style": null,
      "format": null,
      "shortName": "温度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 24,
      "name": "功率",
      "decimalPoint": 1,
      "unit": "kw",
      "style": null,
      "format": null,
      "shortName": "功率",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 25,
      "name": "噪音",
      "decimalPoint": 2,
      "unit": "dB",
      "style": null,
      "format": null,
      "shortName": "噪音",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 26,
      "name": "控制点",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "控制点",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 27,
      "name": "站点在线状态",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "在线状态",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 28,
      "name": "设备运行参数",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "运行参数",
      "comment": "PLC心跳指示",
      "dataKindID": null
    },
    {
      "id": 29,
      "name": "变频器功率",
      "decimalPoint": 2,
      "unit": "kW",
      "style": null,
      "format": "合并",
      "shortName": "变频器功率",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 30,
      "name": "变频器频率",
      "decimalPoint": 2,
      "unit": "Hz",
      "style": null,
      "format": "合并",
      "shortName": "变频器频率",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 31,
      "name": "设备运行状态",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "设备运行状态",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 32,
      "name": "泵运行状态",
      "decimalPoint": 0,
      "unit": null,
      "style": "泵运行状态",
      "format": "合并",
      "shortName": "泵运行状态",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 33,
      "name": "泵运行时间",
      "decimalPoint": 1,
      "unit": "h",
      "style": null,
      "format": "合并",
      "shortName": "泵运行时间",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 34,
      "name": "泵电流",
      "decimalPoint": 2,
      "unit": "A",
      "style": null,
      "format": "合并",
      "shortName": "泵电流",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 35,
      "name": "泵频率",
      "decimalPoint": 2,
      "unit": "Hz",
      "style": null,
      "format": null,
      "shortName": "泵频率",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 36,
      "name": "变频器运行时间",
      "decimalPoint": 1,
      "unit": "h",
      "style": null,
      "format": null,
      "shortName": "变频器运行时间",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 37,
      "name": "变频器电压",
      "decimalPoint": 1,
      "unit": "V",
      "style": null,
      "format": null,
      "shortName": "变频器电压",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 38,
      "name": "变频器电流",
      "decimalPoint": 2,
      "unit": "A",
      "style": null,
      "format": "合并",
      "shortName": "变频器电流",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 39,
      "name": "室内温度",
      "decimalPoint": 1,
      "unit": "°C",
      "style": null,
      "format": null,
      "shortName": "室内温度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 40,
      "name": "室外温度",
      "decimalPoint": 1,
      "unit": "°C",
      "style": null,
      "format": null,
      "shortName": "室外温度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 41,
      "name": "排水泵运行状态",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "排水泵运行状态",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 43,
      "name": "比例",
      "decimalPoint": 1,
      "unit": "%",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": "储水比例",
      "dataKindID": null
    },
    {
      "id": 44,
      "name": "水箱容积",
      "decimalPoint": 0,
      "unit": "m³",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 45,
      "name": "水箱底面积",
      "decimalPoint": 0,
      "unit": "m²",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 46,
      "name": "时间",
      "decimalPoint": 1,
      "unit": "h",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": "蓄满时间,调峰能力",
      "dataKindID": null
    },
    {
      "id": 47,
      "name": "小时",
      "decimalPoint": 0,
      "unit": "h",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 48,
      "name": "分钟",
      "decimalPoint": 0,
      "unit": "min",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 49,
      "name": "水龄",
      "decimalPoint": 4,
      "unit": "h",
      "style": null,
      "format": null,
      "shortName": null,
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 50,
      "name": "扬程",
      "decimalPoint": 2,
      "unit": "m",
      "style": null,
      "format": "",
      "shortName": "扬程",
      "comment": null,
      "dataKindID": 0
    },
    {
      "id": 51,
      "name": "流量",
      "decimalPoint": 2,
      "unit": "m³/h",
      "style": null,
      "format": "",
      "shortName": "流量",
      "comment": null,
      "dataKindID": 0
    },
    {
      "id": 52,
      "name": "百分比",
      "decimalPoint": 2,
      "unit": "%",
      "style": null,
      "format": "",
      "shortName": "百分比",
      "comment": null,
      "dataKindID": 0
    },
    {
      "id": 53,
      "name": "流量上限",
      "decimalPoint": 2,
      "unit": "m3/h",
      "style": null,
      "format": null,
      "shortName": "流量上限",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 54,
      "name": "流量下限",
      "decimalPoint": 2,
      "unit": "m3/h",
      "style": null,
      "format": null,
      "shortName": "流量下限",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 55,
      "name": "给定流量",
      "decimalPoint": 0,
      "unit": "m3",
      "style": null,
      "format": null,
      "shortName": "给定流量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 56,
      "name": "系统运行状态",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "系统运行状态",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 57,
      "name": "时段启用",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "时段启用",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 58,
      "name": "时段开时",
      "decimalPoint": 0,
      "unit": "H",
      "style": null,
      "format": null,
      "shortName": "时段开时",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 59,
      "name": "时段开分",
      "decimalPoint": 0,
      "unit": "M",
      "style": null,
      "format": null,
      "shortName": "时段开分",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 60,
      "name": "时段关时",
      "decimalPoint": 0,
      "unit": "H",
      "style": null,
      "format": null,
      "shortName": "时段关时",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 61,
      "name": "时段关分",
      "decimalPoint": 0,
      "unit": "M",
      "style": null,
      "format": null,
      "shortName": "时段关分",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 62,
      "name": "时段开度",
      "decimalPoint": 0,
      "unit": "%",
      "style": null,
      "format": null,
      "shortName": "时段开度",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 63,
      "name": "报警接触值",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "报警接触值",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 64,
      "name": "报警值",
      "decimalPoint": 0,
      "unit": null,
      "style": null,
      "format": null,
      "shortName": "报警值",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 65,
      "name": "雨量",
      "decimalPoint": 2,
      "unit": "m³",
      "style": null,
      "format": "",
      "shortName": "雨量",
      "comment": null,
      "dataKindID": null
    },
    {
      "id": 66,
      "name": "水位",
      "decimalPoint": 2,
      "unit": "cm",
      "style": null,
      "format": "",
      "shortName": "水位",
      "comment": null,
      "dataKindID": 0
    }
  ],
  "isMock": false,
  "crossdomains": [],
  "allWidgets": [
    {
      "widgets": [
        {
          "label": "原水总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/原水总览.svg",
          "url": "productex/water/IOTRawWater/RawWaterOverview/RawWaterOverview|device=水源井&targetName=出水累计流量,累计电量&zoom=15&workName=是否在线&widget=1",
          "config": "",
          "product": "civweb4"
        },
        {
          "label": "取水监控",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
          "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水源井&sortFields=设备名称&direction=desc&pagesize=20&widget=2",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质分布",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质管理.svg",
              "url": "project/water/luanzhou/WaterQualitySampling/WaterQualitySampling|showType=水源井&defaultOption=pH&widget=4",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "采样记录",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质化验台账&widget=5",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "化验报告",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质报告&widget=6",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水质管理",
          "shortName": "",
          "icon": "assets/Images/menuNew/03三级图标/水质管理.svg",
          "product": "civweb4"
        },
        {
          "label": "原水巡检",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=水源井巡视&widget=7",
          "config": "",
          "product": "civ_water"
        },
        {
          "widgets": [
            {
              "label": "取水报表",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/取水分析.svg",
              "url": "productex/water/IOTRawWater/WaterIntakeAnalysis/WaterAnalysis|device=水源井&targetName=出水累计流量:Sub,累计电量:Sub&widget=9",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "能耗报表",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/用电统计.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=水源井&targetName=累计电量_用电量:Sub&widget=10",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "吨水电耗",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/吨水电耗.svg",
              "url": "productex/water/IOTMonitor/EnergyAnalysis/EnergyAnalysis|device=水源井&widget=11",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "统计报表",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/能耗分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "比泵分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/比泵分析.svg",
              "url": "productex/water/IOTRawWater/WaterWellOperationEvaluat/WaterWellOperationEvaluat|device=水源井&accountName=水源井&targetName=出水累计流量,累计电量&widget=13",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行统计",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行状态.svg",
              "url": "productex/water/IOTMonitor/RunStatus/RunStatus|device=水源井&targetName=出水累计流量,累计电量&widget=14",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行评价",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行评价.svg",
              "url": "productex/water/IOTMonitor/OperationAnalysis/OperationAnalysis|device=水源井&targetName=出水累计流量,累计电量&widget=15",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运行分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=水源井&widget=17",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=原水:水源井&widget=18",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=原水:水源井&widget=19",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|device=原水:水源井&widget=20",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "取水点台账",
              "shortName": "",
              "icon": "assets/Images/menuNew/排水/排水系统图标/设施台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=取水点&widget=22",
              "config": "",
              "product": "civ_water"
            },
            {
              "label": "设备台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "productex/water/IOTMonitor/DeviceManage/DeviceManage|device=水源井&state=add&tabs=设备信息&widget=23",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备台账",
          "shortName": "",
          "icon": "assets/Images/menuNew/排水/一级/台账中心.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=水源井&widget=25",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=26",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=27",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "控制权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
              "url": "product/pumpManageV3/MemberTaskStatistic/AuthorityConfig/AuthorityConfig|widget=29",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备控制",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水库总览",
              "shortName": "",
              "icon": "assets/Images/menuNew/03三级图标/原水总览.svg",
              "url": "project/water/nanao/ReservoirOverview/ReservoirOverview|device=水库&amp;jump=true&amp;zoom=15&widget=31",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水库监控",
              "shortName": "",
              "icon": "assets/Images/menuNew/03三级图标/设备监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水库&widget=32",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水库台账",
              "shortName": "",
              "icon": "assets/Images/menuNew/DMA图标/01一级菜单/9-台账管理.svg",
              "url": "productex/water/IOTMonitor/DeviceManage/DeviceManage|device=水库&state=add&tabs=设备信息&widget=33",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水库监控",
          "shortName": "",
          "icon": "assets/Images/menuNew/02二级图标/水厂监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "视频监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/视频监控.svg",
              "url": "product/oms/VideoListAll/VideoListAll|device=水源井&project=panda_egbf&control=true&widget=35",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "视频配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/视频配置.svg",
              "url": "product/oms/VideoConfig/VideoConfig|widget=36",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        }
      ],
      "label": "原水监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/原水监控.svg"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "调度总览",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度总览.svg",
              "url": "productex/water/IOTMonitor/SchedulingOverview/SchedulingOverview|device=压力表:进水压力,流量计:瞬时流量&ztName=调度总览&deviceCode=SC00000004,SYJ00000014&sensorName=是否运行&widget=38",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "调度监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度监控.svg",
              "url": "productex/water/IOTRawWater/DispatchMonitor/DispatchMonitor|device=水厂-送水泵-送水泵&liquidLevel=6&BIZoom=10&setFlow=0.2&showDevice=水厂&device3Target=泵1%23流量,泵1%23压力&widget=39",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "生产调度",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/排水一级图标/厂站网调度.svg",
          "product": "civweb4"
        },
        {
          "label": "工艺监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/工艺监控.svg",
          "url": "configuration/ConfigurationsInterface/ConfigurationsInterfaceView|title= 水厂自来水工艺监控&name=调度总览&devices=SC00000004,SYJ00000014&widget=40",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质管理",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质管理.svg",
              "url": "project/water/luanzhou/WaterQualitySampling/WaterQualitySampling|showType=水厂&widget=42",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "视频监控",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/视频监控.svg",
              "url": "product/oms/VideoListAll/VideoListAll|device=水厂&project=panda_egbf&control=true&widget=43",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "供水分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/供水分析.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=送水泵&targetName=累计流量:Sub&widget=45",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "用电分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/分析.svg",
              "url": "productex/water/IOTMonitor/TrafficAnalysis/TrafficAnalysis|device=送水泵&targetName=有功电能:Sub&widget=46",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "吨水电耗",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/吨水电耗.svg",
              "url": "productex/water/IOTMonitor/EnergyAnalysis/EnergyAnalysis|device=送水泵&targetName=累计流量,有功电能&widget=47",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "比泵分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/比泵分析.svg",
              "url": "productex/water/IOTRawWater/PumpEconomicAnalysis/PumpEconomicAnalysis|device=送水泵&targetName=累计流量,有功电能&price=0.7&water=200&widget=48",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "能耗分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/能耗分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "调度分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/调度管理.svg",
              "url": "productex/water/IOTRawWater/DispatchPlan/DispatchPlan|device=水源井&triggerName=是否运行&field1Name=累计电量&field2Name=出水累计流量&widget=50",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "调度日志",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/调度日志.svg",
              "url": "productex/water/IOTRawWater/DispatchLog/DispatchLog|device=水源井&triggerName=是否运行&field1Name=累计电量&field2Name=出水累计流量&field3Name=累计电量&field4Name=出水累计流量&widget=51",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "调度方案",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/调度方案.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "运行概况",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行概况.svg",
              "url": "productex/water/IOTMonitor/RunStatus/RunStatus|device=送水泵&targetName=累计流量,有功电能&sortFields=设备名称&direction=asc&widget=53",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行状态",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行状态.svg",
              "url": "productex/water/IOTRawWater/pumpOperation/pumpOperation|device=水源井&triggerName=是否运行&widget=54",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "运行日志",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行日志.svg",
              "url": "productex/water/IOTMonitor/RunLogHistory/RunLogHistory|device=送水泵&sortFields=设备名称&direction=desc&widget=55",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运行分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=水厂:水厂,送水泵:送水泵&widget=57",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=原水:水源井,水厂:水厂,送水泵:送水泵&dataDictionary=报警监控筛选条件&widget=58",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=水厂,送水泵&widget=59",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|widget=60",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水厂台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水厂&widget=62",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "出厂水压台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=出厂水压&widget=63",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水质化验台账",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/台账管理.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=水质报告&widget=64",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "资产管理",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/资产管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=水厂&widget=66",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=67",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=68",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "控制权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
              "url": "product/pumpManageV3/MemberTaskStatistic/AuthorityConfig/AuthorityConfig|widget=70",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "水厂控制",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/控制权限.svg",
          "product": "civweb4"
        }
      ],
      "label": "水厂监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/水厂监控.svg"
    },
    {
      "widgets": [
        {
          "label": "地图监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/地图监控.svg",
          "url": "productex/water/IOTMonitor/MapMonitor/MapMonitor|scales=11,15,8&device=压力表&isReset=false&widget=71",
          "config": "",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力监控",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/8-1压力监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=压力表&pageSize=70&targetName=进水压力,设备电压&widget=73",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "流量监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/流量监测.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=流量计&widget=74",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "设备监控",
          "shortName": "",
          "icon": "assets/images/menuNew/03三级图标/设备监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "水质监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/水质监测.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水质检测仪&widget=76",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "管网采样",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/管网监控.svg",
              "url": "product/rawWaterAndFactory/DataAnalysis/WaterQualitySampling/WaterQualitySampling|showType=管网&widget=77",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "安全管理",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/安防监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "实时数据",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/实时数据.svg",
              "url": "productex/water/IOTMonitor/DataMonitor/DataMonitor|device=压力表&isKeepSame=true&widget=79",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "历史数据",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/历史数据.svg",
              "url": "productex/water/IOTMonitor/RunLogHistory/RunLogHistory|device=压力表&sortFields=设备名称&direction=desc&widget=80",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "数据监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/数据监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力总览",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力总览.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/PressureOverview/PressureOverview|deviceType=压力表&sensorName=进水压力&widget=82",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "压力分布",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力分布.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/EquiscalarLine/EquiscalarLine|deviceType=压力表&targetName=进水压力&gatherShow=关&station=压力表&Unit=m&widget=83",
              "config": "等水压线分布",
              "product": "civweb4"
            },
            {
              "label": "流量简报",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/流量简报.svg",
              "url": "productex/water/IOTMonitor/FlowBriefing/FlowBriefing|device=流量计&targetName=出水累计流量,瞬时流量&userAccess=false&sortFields=编码&direction=asc&widget=84",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "压力统计",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/压力统计.svg",
              "url": "productex/water/IOTMonitor/PipeMonitor/TableMonitor/TableMonitor|deviceType=压力表&sensorName=进水压力&widget=85",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "统计分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/统计分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=流量计&userAccess=false&widget=87",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=流量:流量计&widget=88",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警分析.svg",
              "url": "productex/water/IOTMonitor/AlarmAnalysis/AlarmAnalysis|device=流量:流量计&widget=89",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=压力:压力表,流量:流量计&dataDictionary=报警监控筛选条件&zero=false&widget=90",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "设备权限",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备权限.svg",
              "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|deviceList=二供泵房&widget=92",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/指标配置.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=93",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "展示配置",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/展示配置.svg",
              "url": "productex/water/IOTConfSetting/EditMenu/EditMenu|widget=94",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "系统设置",
          "shortName": "",
          "icon": "assets/images/menuNew/01一级图标/系统设置.svg",
          "product": "civweb4"
        }
      ],
      "label": "管网监控",
      "shortName": "",
      "icon": "assets/images/menuNew/01一级图标/线索追踪.svg"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "运营总览",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运营总览.svg",
              "url": "productex/water/IOTDMA/DMAoverviewBI/DMAoverviewBI|widget=96",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "计量关系图",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/统计.svg",
              "url": "productex/water/IOTDMA/MeteringDelivery/MeteringDelivery|widget=97",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运营总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运营总览.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "分区规划",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/2-1分区规划.svg",
              "url": "productex/water/IOTDMA/DMAPartitionTools/DMAToolsView|device=流量计,水表&activeLevel=1,2&zoom=3&widget=99",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "设备挂接",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/2-3户表挂接.svg",
              "url": "productex/water/IOTDMA/UserHook/UserHook|widget=100",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "考核表抄表",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "productex/water/IOTDMA/MeterReadingEntry/MeterReadingEntry|widget=101",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "户表抄表",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "productex/water/IOTDMA/ReadingHousehold/ReadingHousehold|widget=102",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "免费注册水量",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/免费注册水量.svg",
              "url": "productex/water/IOTDMA/FreeEnrollWater/FreeEnrollWater|name=免费注册用户台账&widget=103",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "分区管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/2-分区管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "分区监控",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/01一级菜单/3-分区监控.svg",
              "url": "productex/water/IOTDMA/AreaMonitor/AreaMonitor|widget=105",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "分区详情",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/分区指标.svg",
              "url": "productex/water/IOTDMA/DMAMonitorDetail/DMAMonitorDetail|widget=106",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "小流量监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/夜间小流量分析.svg",
              "url": "productex/water/IOTDMA/SmallFlowMonitor/SmallFlowMonitor|widget=107",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "表计监控",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/设备监控.svg",
              "url": "productex/water/IOTMonitor/DeviceMonitor/DeviceMonitor|device=水表&showType=list&widget=108",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "分区监控",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/3-分区监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "漏损分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/漏损分析.svg",
              "url": "productex/water/IOTDMA/LeakageAnalysis/LeakageAnalysis|leakRate=20&showAnomaly=true&widget=110",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "小流量分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/夜间小流量分析.svg",
              "url": "productex/water/IOTDMA/NightLowFlow/NightLowFlow|widget=111",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "抄表分析",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/分析.svg",
              "url": "productex/water/IOTDMA/MeterReadingAnalysis/MeterReadingAnalysis|widget=112",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "水量统计",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/统计.svg",
              "url": "productex/water/IOTDMA/DMASellingWaterNew/DMASellingWater|multiPeriod=true&type=供水量&method=年，月，自定义&widget=113",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "运营分析",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/4-运营分析.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "用水分析",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/用量分析.svg",
              "url": "productex/water/IOTDMA/AnalysisOfWater/AnalysisOfWater|widget=115",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "表计管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/7-表计管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "压力管理",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/8-3压力管理.svg",
              "url": "productex/water/IOTDMA/PressureContour/PressureContour|widget=117",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "压力调控",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/8-压力管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "漏点总览",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-1漏点总览.svg",
              "url": "product/maintenance/EventManage/EventAllshow/EventAllshow|lev=1,2,3&choose=true,true,false&widget=119",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "事件总览",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/事件总览.svg",
              "url": "product/maintenance/EventManage/EventOverviewBox/EventOverviewListView|eventType=漏点处理事件,维修处理事件&widget=120",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "漏点上报",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-2漏点上报.svg",
              "url": "product/maintenance/EventManage/EventReport/MenuEventReportView|eventType=漏点处理事件&widget=121",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "维修上报",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/6-4维修记录.svg",
              "url": "product/maintenance/EventManage/EventReport/MenuEventReportView|eventType=维修处理事件&widget=122",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "事件待办",
              "shortName": "",
              "icon": "assets/images/menuNew/排水/二级/事件处理.svg",
              "url": "product/maintenance/EventManage/EventDispatchBox/EventDispatchBoxList|eventType=漏点处理事件,维修处理事件&widget=123",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "工单办理",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/工单办理.svg",
              "url": "product/maintenance/CaseManage/CaseDoingBox/StardCaseDoingBoxView|isDelay=1&flowName=漏点处理流程,维修处理流程&widget=124",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "上报历史",
              "shortName": "",
              "icon": "assets/images/menuNew/排水/三级/事件历史.svg",
              "url": "product/maintenance/EventManage/EventReportHistory/EventReportHistory|isMe=1&eventType=漏点处理事件,维修处理事件&widget=125",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "检漏管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/6-检漏管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=流量计&widget=127",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/实时报警.svg",
              "url": "productex/water/IOTMonitor/RealTimeAlarm/RealTimeAlarm|device=流量:流量计&widget=128",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/报警记录.svg",
              "url": "productex/water/IOTMonitor/AlarmRecord/AlarmRecord|device=压力:压力计,流量:流量计&dataDictionary=报警监控筛选条件&widget=129",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/报警监控.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "户表台账",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-4户表台账.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=户表&widget=131",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "考核表台账",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/9-3抄表台账.svg",
              "url": "product/maintenance/AccountManage/AccountManage|name=考核表&widget=132",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "台账管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/9-台账管理.svg",
          "product": "civweb4"
        },
        {
          "widgets": [
            {
              "label": "探漏方案",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/5-1探漏方案.svg",
              "url": "productex/water/IOTWaterMeter/WaterMeterOverview/WaterMeterOverview|widget=134",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "探漏详情",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/探漏详情.svg",
              "url": "productex/water/IOTWaterMeter/WaterMeterDetail/WaterMeterDetail|widget=135",
              "config": "",
              "product": "civweb4"
            },
            {
              "label": "流动探漏",
              "shortName": "",
              "icon": "assets/images/menuNew/DMA图标/02二级菜单/流动探漏.svg",
              "url": "productex/water/IOTDMA/LeakDetection/LeakDetection|widget=136",
              "config": "",
              "product": "civweb4"
            }
          ],
          "label": "探漏管理",
          "shortName": "",
          "icon": "assets/images/menuNew/DMA图标/01一级菜单/5-探漏管理.svg",
          "product": "civweb4"
        }
      ],
      "label": "DMA管控",
      "shortName": "",
      "icon": "assets/images/menuNew/02二级图标/DMA管理.svg"
    },
    {
      "widgets": [
        {
          "label": "设备接入",
          "shortName": "",
          "icon": "assets/Images/menuNew/01一级图标/新增设备-01.svg",
          "url": "productex/water/IOTConfSetting/DeviceAccess/DeviceAccess|widget=137",
          "config": "",
          "product": "civ_monitor"
        },
        {
          "label": "组态绘制",
          "shortName": "",
          "icon": "assets/Images/menuNew/01一级图标/物联组态.svg",
          "url": "configuration/ConfigurationsSageView/ConfigurationsSageView|widget=138",
          "config": "",
          "product": "civweb4"
        }
      ],
      "label": "系统设置",
      "shortName": "",
      "icon": "assets/Images/menuNew/01一级图标/系统设置.svg"
    }
  ],
  "password": null,
  "userInfo": {
    "OID": 1,
    "fullName": "admin",
    "loginName": "admin",
    "depart": {
      "OID": 4,
      "name": "超级管理员",
      "code": "1-1000",
      "type": null
    },
    "roles": [
      {
        "OID": 5,
        "name": "站点_全部",
        "code": "2-5",
        "type": "角色"
      },
      {
        "OID": 8,
        "name": "水厂监控管理员",
        "code": "2-8",
        "type": "角色"
      },
      {
        "OID": 9,
        "name": "原水监控管理员",
        "code": "2-9",
        "type": "角色"
      },
      {
        "OID": 10,
        "name": "管网监控管理员",
        "code": "2-10",
        "type": "角色"
      },
      {
        "OID": 11,
        "name": "二供监控管理员",
        "code": "2-11",
        "type": "角色"
      },
      {
        "OID": 12,
        "name": "DMA分区管理员",
        "code": "2-12",
        "type": "角色"
      },
      {
        "OID": 13,
        "name": "工单管理员",
        "code": "2-13",
        "type": "角色"
      },
      {
        "OID": 15,
        "name": "综合管理员",
        "code": "2-17",
        "type": "角色"
      },
      {
        "OID": 24,
        "name": "站点_熊猫智慧水务",
        "code": "2-24",
        "type": "角色"
      },
      {
        "OID": 43,
        "name": "平台管理员",
        "code": "2-43",
        "type": "角色"
      },
      {
        "OID": 51,
        "name": "小程序管理员",
        "code": "2-51",
        "type": "角色"
      },
      {
        "OID": 53,
        "name": "二供管理员",
        "code": "2-53",
        "type": "角色"
      },
      {
        "OID": 57,
        "name": "设备监控管理员",
        "code": "2-57",
        "type": "角色"
      },
      {
        "OID": 58,
        "name": "原水管理员",
        "code": "2-58",
        "type": "角色"
      },
      {
        "OID": 59,
        "name": "水厂管理员",
        "code": "2-59",
        "type": "角色"
      },
      {
        "OID": 60,
        "name": "管网管理员",
        "code": "2-60",
        "type": "角色"
      },
      {
        "OID": 61,
        "name": "DMA管理员",
        "code": "2-61",
        "type": "角色"
      },
      {
        "OID": 62,
        "name": "组态管理员",
        "code": "2-62",
        "type": "角色"
      },
      {
        "OID": 63,
        "name": "巡维保管理员",
        "code": "2-63",
        "type": "角色"
      },
      {
        "OID": 64,
        "name": "设备权限管理员",
        "code": "2-64",
        "type": "角色"
      },
      {
        "OID": 65,
        "name": "GIS数据管理员",
        "code": "2-65",
        "type": "角色"
      },
      {
        "OID": 1001,
        "name": "平台分组",
        "code": "1-1001",
        "type": "分组"
      }
    ],
    "exportCAD": {
      "IPValid": true,
      "area": 9999
    },
    "site": "",
    "Email": "",
    "DDid": "",
    "WXid": "",
    "UserImge": "https://panda-water.cn/web4/assets/images/icon/熊猫新2.png",
    "Mark": "",
    "Phone": "",
    "WxName": null,
    "WxImage": null,
    "IsManager": "",
    "IP": "",
    "Port": "",
    "GisState": "",
    "City": null,
    "token": "9c74f1339c6c433f88f786db22688200",
    "tokenexp": null,
    "EnterprisesType": null,
    "Groups": null,
    "cloudStationOID": 1,
    "extraInfo": null,
    "LocalSite": "site_vy5321va",
    "UserLevel": 0,
    "UserType": "",
    "Industries": []
  },
  "token": "9c74f1339c6c433f88f786db22688200",
  "qrcodeData": {},
  "hasGateWay": false,
  "apiGatewayDomain": "http://127.0.0.1:8080"
}

const Test = (props) => {

  return (
    // <FormDesigner tableName='工单_维修填报' />
    // <FormDesigner tableName='事件_表单测试表' />
    <FormRender
      schemaValues={schemaValues}
    />
  )

}

export default Test
