// 常量集合
/**
 *  @Description: 新增形态 【时间】相关内容
 *  @Date: 2021/11/30
 *  @Edit: ChenLong
 * */
import moment from 'moment';

const dateDescribe = {
  默认为空: {
    initTime: '',
    endTime: '',
    readOnly: false,
  },
  默认为当前时间: {
    initTime: moment(new Date()),
    endTime: '',
    readOnly: false,
  },
  锁定为当前时间: {
    initTime: moment(new Date()),
    endTime: '',
    readOnly: true,
  },
  不超过当前时间: {
    initTime: '',
    endTime: moment(),
    readOnly: false,
  },
}
const dateType = {
  日期时间: 'date',
  时间: 'time',
  日期: 'date',
  日期年份: 'year',
  日期月份: 'month',
  日期周: 'week',
  时分秒: 'time',
}
const dateFormat = {
  日期时间: 'YYYY-MM-DD HH:mm:ss',
  时间: 'YYYY-MM-DD HH:mm:ss',
  日期: 'YYYY-MM-DD',
  日期年份: 'YYYY',
  日期月份: 'YYYY-MM',
  日期周: 'YYYY-MM-DD',
  时分秒: 'HH:mm:ss',
}
const RegExpObject = {
  number: '^(\\-|\\+)?((0\\.\\d+)|([0-9])|([1-9]\\d+(\\.\\d+)?))$',// 数字，支持正、负、浮点数
  digits: '^(\\-|\\+)?(\\d|[1-9]\\d+)$', // 整数
  email: '^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$', // 邮箱
  identity: '(^\\d{15}$)|(^\\d{18}$)|(^\\d{17}(\\d|X|x)$)',
  mobile: '^1(3|4|5|6|7|8|9)\\d{9}$',
  bankAccount: '^(\\d{16}|\\d{19})$',
}
const dateArray = { timeControl: ['时间', '仅时间', '日期', '日期月份', '日期年份', '时分秒'] }
const doNotDisplayInEditModelShape = ['编码']

const widgetData = {
  'TextInput': { name: '文本', type: '文本控件', },
  'TextArea': { name: '多行文本', type: '文本控件', },
  'NumberInput': { name: '数值', type: '文本控件', },
  'RichText': { name: '富文本', type: '文本控件', },
  'Coding': { name: '编码', type: '文本控件' },
  'ComboBox': { name: '下拉框', type: '选择器控件' },
  'RadioButton': { name: '单选框', type: '选择器控件' },
  'CheckBox': { name: '复选框', type: '选择器控件' },
  'SwitchSelector': { name: '开关', type: '选择器控件' },
  'RelevanceSelect': { name: '关联选择', type: '选择器控件' },
  'CascadeSelector': { name: '联级选择', type: '选择器控件' },
  'PersonSelector': { name: '人员选择', type: '业务控件' },
  'DeptSelector': { name: '部门选择', type: '业务控件' },
  'AccountSelector': { name: '台账选择', type: '业务控件' },
  'DateTime': { name: '日期选择', type: '时间控件' },
  'Time': { name: '时间选择', type: '时间控件' },
  'FileUpload': { name: '附件', type: '附件控件' },
  'Coordinate': { name: '坐标控件', type: 'GIS控件' },
  'Device': { name: '设备选择', type: 'GIS控件' },
  'SearchLocation': { name: '位置坐标', type: 'GIS控件' },
  'RelationForm': { name: '关联表单', type: '高级控件' },
  'AutoCalculate': { name: '自动计算', type: '高级控件' },
}

const getStyles = (type) => {
  switch (type) {
    case '文本控件': return { background: '#DEFED9', color: '#48BC2E' }
    case '选择器控件': return { background: '#E1EDFE', color: '#0765F3' }
    case '业务控件': return { background: '#FCE2FA', color: '#DD3CC4' }
    case '时间控件': return { background: '#E1EDFE', color: '#0765F3' }
    case '附件控件': return { background: '#FCF2E0', color: '#F59E06' }
    case 'GIS控件': return { background: '#D1F5EB', color: '#0A9C71' }
    case '高级控件': return { background: '#D6F1FE', color: '#0195D4' }
    default: return {}
  }
}

export {
  dateDescribe,
  dateType,
  dateFormat,
  RegExpObject,
  dateArray,
  doNotDisplayInEditModelShape,
  widgetData,
  getStyles,
}
