const baseSettings = {}

const commonSettings = {
  $id: {
    title: '数据源',
    type: 'string',
    widget: 'FieldNames',
    required: true,
    displayType: 'row',
    labelWidth: 80,
  },
  title: {
    title: '展示名称',
    required: true,
    type: 'string',
    widget: 'htmlInput',
    displayType: 'row',
    labelWidth: 80,
  },
  placeholder: {
    title: '提示语',
    type: 'string',
    widget: 'Placeholder',
    displayType: 'row',
    labelWidth: 80,
    dependencies: ['title']
  },
  presetValue: {
    title: '默认值',
    type: 'string',
    displayType: 'row',
    labelWidth: 80,
  },
}

const switchSettings = {
  disabled: {
    title: '只读',
    type: 'boolean',
    widget: 'checkbox',
    // displayType: 'row',
    // labelWidth: 80,
    default: false,
    width: '33%',
  },
  required: {
    title: '必填',
    type: 'boolean',
    widget: 'checkbox',
    // displayType: 'row',
    // labelWidth: 80,
    default: false,
    width: '33%',
  },
  hidden: {
    title: '隐藏',
    type: 'boolean',
    widget: 'checkbox',
    default: false,
    width: '33%',
    // displayType: 'row',
    // labelWidth: 80,
  },
}

const elementSettings = {
  // width: {
  //   title: '元素宽度',
  //   type: 'string',
  //   widget: 'percentSlider',
  //   // default: '33%',
  // },
  labelWidth: {
    title: '标签宽度',
    description: '默认值110',
    default: 110,
    type: 'number',
    widget: 'slider',
    max: 400,
    props: {
      hideNumber: true,
    },
  },
}

const globalSettings = {
  type: 'object',
  properties: {
    tableName: {
      title: '表名',
      type: 'string',
      widget: 'TableNames',
      required: true,
    },
    alias: {
      title: '展示名称',
      type: 'string',
      // widget: 'htmlInput',
    },
    interfaceName: {
      title: '接口',
      type: 'string',
      // widget: 'htmlInput',
    },
    column: {
      title: '整体布局',
      type: 'number',
      enum: [3, 4, 5],
      default: 3,
      enumNames: ['一行三列', '一行四列', '一行五列'],
      widget: 'select',
      props: {
        placeholder: '默认一行三列',
      },
    },
    displayType: {
      title: '标签展示模式',
      type: 'string',
      default: 'row',
      enum: ['row', 'column'],
      enumNames: ['左右', '上下'],
      widget: 'select',
    },
    labelWidth: {
      title: '标签宽度',
      type: 'number',
      widget: 'slider',
      max: 300,
      default: 120,
      props: {
        hideNumber: true,
      },
    },
  },
}

export {
  baseSettings,
  commonSettings,
  switchSettings,
  elementSettings,
  globalSettings
}