import React, { useState, useEffect, useContext } from 'react'
import { Input, message } from 'antd'
import { AMap } from '@wisdom-map/amap'

const SearchLocation = (props) => {
  const { value, onChange, name, schema, addons } = props
  const { disabled, placeholder } = schema

  const [extraData, setExtraData] = useState(null);
  const [address, setAddress] = useState('');
  const [pos, setPos] = useState('');

  const renderSearch = async () => {
    // 封装之后的AMap，如果需要使用高德地图上的方法，则需要按照如下方法去使用
    AMap.prototype.key = 'e83f64300a2a55a33fa8e4ab9a46bca6';
    let map = await AMap.prototype.loadLocaScript();
    map?.plugin(['AMap.PlaceSearch', 'AMap.AutoComplete'], function (e) {
      let auto = new map.AutoComplete({
        input: 'searchInput'
      });
      auto.on('select', function (e) {
        if (e?.poi?.location?.pos?.length) {
          let _pos = e.poi.location.pos.join(',');
          setPos(_pos);
          setAddress(e.poi.name);
          let _extraData = extraData ? { ...extraData } : {};
          _extraData.pos = _pos;
          setExtraData(_extraData);
          onChange(e.poi.name);
        } else {
          setAddress('');
          setPos('');
          onChange('');
          message.error('当前地址无坐标，请重新选取')
        }
      });
    })
  }

  const inputChange = (e) => {
    if (addons) {
      setAddress(e.target.value)
      onChange(e.target.value)
    }
  }

  useEffect(() => {
    if (addons) {
      renderSearch()
    }
    // if (value) setAddress(value)
  }, [value])

  return (
    <Input
      placeholder={placeholder}
      disabled={disabled}
      onChange={inputChange}
      id={addons ? 'searchInput' : null}
      value={value}
      style={{ width: '100%' }}
    />
  )
}

export default SearchLocation
