import React, { useEffect } from 'react'
import { Switch } from 'antd'

const SwitchSelector = (props) => {

  const { value, onChange, schema, addons } = props
  const { disabled, presetValue, showText } = schema
  const text = (showText && showText.includes('/')) ? showText.split('/') : ['开', '关']

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, presetValue)
    } else {
      onChange(presetValue)
    }
  }, [presetValue])

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked ? text[0] : text[1])
    }
  }

  return (
    <Switch
      checked={Boolean(value === text[0])}
      disabled={disabled}
      checkedChildren={text[0]}
      unCheckedChildren={text[1]}
      onChange={switchChange}
    >

    </Switch>
  )

}

export default SwitchSelector