import React, { useEffect } from 'react'
import { Switch } from 'antd'

const BooleanSwitch = (props) => {

  const { value, onChange, addons, schema, disabled } = props
  const { widget } = addons.formData

  const switchChange = (checked) => {
    onChange(checked)
  }

  useEffect(() => {
    if (widget === 'ComboBox') {
      if (value) {
        addons.setValue('isMultiple', false)
      }
    }
  }, [value])

  return (
    <Switch
      checked={value}
      checkedChildren='是'
      unCheckedChildren='否'
      onChange={switchChange}
    />
  )

}

export default BooleanSwitch