import React, { useMemo, useState } from 'react'
import { Input, Modal, Popover, Select, Dropdown, Menu } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

const options = [
  { label: '本人姓名', key: '【本人姓名】' },
  { label: '本人部门', key: '【本人部门】' },
]

const InputDefault = (props) => {

  const { value, onChange } = props

  const style = useMemo(() => {
    let paths = ['【本人姓名】', '【本人部门】']
    if (paths.includes(value)) {
      return { color: 'blue' }
    }
    return null
  }, [value])

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.key)
  }

  return (
    <div className='InputDefault'>
      <Input
        allowClear
        value={value}
        onChange={inputChange}
        style={style}
        addonAfter={
          <Dropdown
            overlay={(
              <Menu
                onClick={menuClick}
                items={options}
              />
            )}
          >
            <PlusOutlined />
          </Dropdown>
        }
      />
    </div>
  )

}

export default InputDefault