import React from 'react'
import { Input, Dropdown, Menu } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import styles from './index.less'

const options = [
  { label: '整数', key: '${整数}' },
  { label: '小数', key: '${小数}' },
  { label: '货币', key: '${货币}' },
  { label: '百分比', key: '${百分比}' },
]

const Formatting = (props) => {

  const { value, onChange, addons } = props

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.key)
  }

  return (
    <div className={styles.formatting}>
      <Input
        style={{ color: options.map(v => v.key).includes(value) ? '#4096ff' : '' }}
        value={value}
        onChange={inputChange}
      >
      </Input>
      <div className={styles.formattingIcon}>
        <Dropdown
          overlay={(
            <Menu
              onClick={menuClick}
              items={options}
            />
          )}
          trigger='click'
        >
          <PlusOutlined />
        </Dropdown>
      </div>
    </div>
  )

}

export default Formatting