import React, { useEffect, useContext } from 'react'
import { Input, Popover, ConfigProvider } from 'antd'
import { QrcodeOutlined } from '@ant-design/icons'
import QRcode from 'qrcode.react'
import styles from './index.less'

function toUtf8(str) {
  let out = ''
  for (let i = 0; i < str.length; i++) {
    let c = str.charCodeAt(i)
    if (c >= 0x0001 && c <= 0x007f) {
      out += str.charAt(i);
    } else if (c > 0x07ff) {
      out += String.fromCharCode(0xe0 | ((c >> 12) & 0x0f));
      out += String.fromCharCode(0x80 | ((c >> 6) & 0x3f));
      out += String.fromCharCode(0x80 | ((c >> 0) & 0x3f));
    } else {
      out += String.fromCharCode(0xc0 | ((c >> 6) & 0x1f));
      out += String.fromCharCode(0x80 | ((c >> 0) & 0x3f));
    }
  }
  return out;
}

const Coding = (props) => {

  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  const prefixCls = getPrefixCls('pandaXform')
  const { value, onChange, schema } = props
  const { disabled, prefixion, codingType } = schema

  // useEffect(() => {
  //   let date = ''
  //   if (codingType === '1') {
  //     date = moment().format('YYYY')
  //   } else if (codingType === '2') {
  //     date = moment().format('YYYYMM')
  //   }
  //   let code = toUtf8(tableNameParent)
  //   let codeValue = `${prefixion ? `${prefixion}-` : ''}${date ? `${date}-` : date}${code}`
  //   onChange(codeValue)
  // }, [prefixion, codingType])

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const content = (
    <div>
      <QRcode value={value} />
    </div>
  )

  return (
    <div className={styles.coding} isdisabled={JSON.stringify(disabled)}>
      <Input
        onChange={inputChange}
        value={value}
        disabled={disabled}
        addonAfter={
          <Popover content={value ? content : null}>
            <QrcodeOutlined />
          </Popover>
        }
      />
    </div>
  )

}

export default Coding